Subject: Doings in Chicago

From: mocekwalker <[email-masked]>
Date: Wed, 03 Jan 2007 23:15:18 -0600

We will have a Darwin-themed presentation on Feb. 11 - called Darwin's 
Galapagos, it will feature at minimum a travelogue of a science/biology 
teacher's recent trip to the Galapagos.  Also, we may have readings that 
day.  Not fully planned yet.  It won't be a "really big shew" this year, 
but we'll keep our eye out for planning a likely much larger event in 2009.

Regards - Adam Walker
local leader - the Center for Inquiry Community of Chicago (formerly, 
the Secular Humanist Society of Chicago)